net.snowflake.client

## Class AbstractDriverIT

- java.lang.Object
- - net.snowflake.client.AbstractDriverIT

Direct Known Subclasses:
  BaseIncidentTest, BaseJDBCTest, ComSnowflakeDriverIT, HeartbeatIT, PutUnescapeBackslashIT, SnowflakeDriverIT

    public class AbstractDriverIT
    extends Object

Author:
  jhuang

### Constructor Summary

Constructors
Constructor and Description
`AbstractDriverIT()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Connection` `getConnection(boolean getAccountFromEnv, boolean enableV1Query, int injectSocketTimeout)` Gets a connection with default session parameter settings, but tunable query api version and socket timeout setting
`static Connection` `getConnection(boolean getAccountFromEnv, boolean enableV1Query, int injectSocketTimeout, Properties paramProperties)` Gets a connection for the custom session parameter settings and tunable query api version and socket timeout setting
`void` `setUp()`
`void` `tearDown()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractDriverIT

    public AbstractDriverIT()

### Method Detail

#### setUp

    public void setUp()
               throws Exception

Throws:
  `Exception`

#### tearDown

    public void tearDown()
                  throws Exception

Throws:
  `Exception`

#### getConnection

    public static Connection getConnection(boolean getAccountFromEnv,
                                           boolean enableV1Query,
                                           int injectSocketTimeout)
                                    throws SQLException

Gets a connection with default session parameter settings, but tunable query api version and socket timeout setting

Parameters:
  `getAccountFromEnv` -
  `enableV1Query` -
  `injectSocketTimeout` -
Returns:
  Connection
Throws:
  `SQLException`

#### getConnection

    public static Connection getConnection(boolean getAccountFromEnv,
                                           boolean enableV1Query,
                                           int injectSocketTimeout,
                                           Properties paramProperties)
                                    throws SQLException

Gets a connection for the custom session parameter settings and tunable query api version and socket timeout setting

Parameters:
  `getAccountFromEnv` -
  `enableV1Query` -
  `injectSocketTimeout` -
  `paramProperties` -
Returns:
  Connection
Throws:
  `SQLException`